﻿Sripe.UniDrilling.Client 包说明
====
1 概述
----
  此包包括集控中心的数据访问组件和指令发送组件。

2 What's new:
----
- 0.1.2 (2023.11.1);
  - 修复bug：此实例已启动一个或多个请求。只能在发送第一个请求之前修改属性
- 0.1.0 (2023.4.25):
  - +First 提交

3 Demo:
----
- 使用WellDataGetter获取指定wits码的实时值
- 使用WellDataSender发送字符串信息
- 示例代码如下：

```
//引用命名空间
using Sripe.UniDrilling.Client;
using System;
using System.Text;
using static System.Console;

//支持.Net 4.7.2以上版本
WriteLine($"Now running: .NET {Environment.Version}");

//获取数据
WellDataGetter getClient = new WellDataGetter("http://192.168.100.207:5191/");
WriteLine(getClient.GetDataPointsAsync("2913","2914").Result?.Count);

//准备指令数据
StringBuilder sb = new StringBuilder("&&\r\n");
sb.Append("6506").Append(100.89f.ToString()).Append("\r\n");
sb.Append("6507").Append(101.12f.ToString()).Append("\r\n");
sb.Append("!!").Append("\r\n");
var s = sb.ToString();

//发送指令
WellDataSender sendClient = new WellDataSender("192.168.100.207", 6004);
sendClient.SendWitsString(s);

ReadLine();
```